Main Page Widgets Namespaces Book

# Gtk::ToolShell Class Reference

Inheritance diagram for Gtk::ToolShell:

[legend]

List of all members.

## Detailed Description

A base class for containers containing ToolItem widgets.

This interface allows container widgets to provide additional information when embedding ToolItem widgets.

Since gtkmm 2.14:

## Public Member Functions
IconSize | get_icon_size () const
| Retrieves the icon size for the tool shell.
Orientation | get_orientation () const
| Retrieves the current orientation for the tool shell.
ReliefStyle | get_relief_style () const
| Return value: The relief style of buttons on shell.
ToolbarStyle | get_style () const
| Retrieves whether the tool shell has text, icons, or both.
const GtkToolShell* | gobj () const
| Provides access to the underlying C GObject.
GtkToolShell* | gobj ()
| Provides access to the underlying C GObject.
void | rebuild_menu ()
| Calling this function signals the tool shell that the overflow menu item for tool items have changed.
virtual | ~ToolShell ()
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual IconSize | get_icon_size_vfunc ()
virtual Orientation | get_orientation_vfunc ()
virtual ReliefStyle | get_relief_style_vfunc ()
virtual ToolbarStyle | get_style_vfunc ()
virtual void | rebuild_menu_vfunc ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::ToolShell> | wrap (GtkToolShell* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ToolShell::~ToolShell | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::ToolShell::add_interface | ( | GType | gtype_implementer | ) | `[static]`

IconSize Gtk::ToolShell::get_icon_size | ( |  | ) | const

Retrieves the icon size for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_icon_size() instead.

Returns:
  The current size for icons of shell

Since gtkmm 2.14:

virtual IconSize Gtk::ToolShell::get_icon_size_vfunc | ( |  | ) | `[protected, virtual]`

Orientation Gtk::ToolShell::get_orientation | ( |  | ) | const

Retrieves the current orientation for the tool shell.

Tool items must not call this function directly, but rely on Gtk::ToolItem::get_orientation() instead.

Returns:
  The current orientation of shell

Since gtkmm 2.14:

virtual Orientation Gtk::ToolShell::get_orientation_vfunc | ( |  | ) | `[protected, virtual]`

ReliefStyle Gtk::ToolShell::get_relief_style | ( |  | ) | const

Return value: The relief style of buttons on shell.

Returns:
  The relief style of buttons on shell.

Since gtkmm 2.14:

virtual ReliefStyle Gtk::ToolShell::get_relief_style_vfunc | ( |  | ) | `[protected, virtual]`

ToolbarStyle Gtk::ToolShell::get_style | ( |  | ) | const

Retrieves whether the tool shell has text, icons, or both.

Tool items must not call this function directly, but rely on gtk_tool_item_get_style() instead.

Returns:
  The current style of shell

Since gtkmm 2.14:

virtual ToolbarStyle Gtk::ToolShell::get_style_vfunc | ( |  | ) | `[protected, virtual]`

const GtkToolShell* Gtk::ToolShell::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

GtkToolShell* Gtk::ToolShell::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

void Gtk::ToolShell::rebuild_menu | ( |  | ) |

Calling this function signals the tool shell that the overflow menu item for tool items have changed.

If there is an overflow menu and if it is visible when this function it called, the menu will be rebuilt.

Tool items must not call this function directly, but rely on Gtk::ToolItem::rebuild_menu() instead.

Since gtkmm 2.14:

virtual void Gtk::ToolShell::rebuild_menu_vfunc | ( |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::ToolShell> wrap | ( | GtkToolShell * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- toolshell.h